Шаблон:Component/lathe/styles.css: различия между версиями

мНет описания правки
Нет описания правки
 
(не показано 9 промежуточных версий этого же участника)
Строка 1: Строка 1:
.станок {
.ts-Component-lathe__header {
    display: inline-flex;
    flex-direction: column;
    border: 1px solid #41414d;
    border-radius: 0.2em;
}
 
.станок__mode-emag {
    border: 2px dashed hsla(0, 75%, 50%, 0.5);
}
 
.станок__header {
    color: #dddddd;
    padding: 6px;
    background: linear-gradient(120deg, #31313b, #27272f);
    text-align: left;
   
     display: grid;
     display: grid;
     grid-template-columns: 1fr auto;
     grid-template-columns: 1fr 0fr;
     gap: 6px;
     gap: 6px;
    border-radius: 0.2em 0.2em 0 0;
}
}


.станок__product-and-info-text {
.ts-Component-lathe__product-and-info-text {
     display: grid;
     display: grid;
     gap: 6px;
     gap: 4px;
}
}


.станок__product {
.ts-Component-lathe__product {
     font-weight: bold;
     font-weight: bold;
}
}


.станок__info-text {
.ts-Component-lathe__info-text {
     font-size: 14px;
     font-size: var(--font-size-s);
}
}


.станок__info-icons {     
.ts-Component-lathe__info-icons {     
     display: flex;
     display: flex;
     flex-direction: column;
     flex-direction: column;
Строка 41: Строка 24:
}
}


.станок__info-icons > * {
.ts-Component-lathe__info-icons > * {
     width: 32px;
     width: 32px;
     height: 32px;
     height: 32px;
Строка 47: Строка 30:
}
}


.станок__progression-symbol {
.ts-Component-lathe__progression-symbol {
     color: gray;
     color: gray;
     font-size: small;
     font-size: small;
Строка 55: Строка 38:
}
}


.станок__body {
.ts-Component-lathe__materials {
    box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.3), inset 0 -3px 5px rgba(0, 0, 0, 0.3);
    background: #232329;
    flex-grow: 2;
    border-radius: 0 0 0.2em 0.2em;
    padding: 6px;
    position: relative;
    font-size: 14px;
}
 
.станок__materials {
     display: grid;
     display: grid;
     gap: 4px;
     gap: 4px;
}
}


.станок__complete-time {
.ts-Component-lathe__complete-time {
     position: absolute;
     position: absolute;
     bottom: 4px;
     bottom: 4px;
Строка 76: Строка 49:
     font-size: small;
     font-size: small;
     font-size: 12px;
     font-size: 12px;
}
.ts-Component-lathe__mode-emag.gradient-block {
    border: 2px dashed hsla(0, 75%, 50%, 0.5);
}
}